.primary {
    color: $white;
    position: relative;
    background-repeat: no-repeat;
    background-position: 50% 50%;
    background-size: cover;

    &__slider {
        z-index: 1;
        position: relative;
    }

    &__item {
        position: relative;
        padding-top: 165px;
        padding-bottom: 180px;
    }

    &__header {
        font-weight: 800;
        font-size: size-rel(32px);
        line-height: 1.2;
        margin-bottom: 20px;
    }

    &__progress {
        margin: 0;
        padding: 0;
        list-style: none;
        font-weight: 700;
        font-size: size-rel(16px);
        line-height: size-rel(20px);

        li {
            display: flex;

            &:nth-child(1) {
                justify-content: flex-start;
            }

            &:nth-child(2) {
                justify-content: center;
            }

            &:nth-child(3) {
                justify-content: flex-end;
            }
        }

        &--item {
            width: 50%;
            padding: 15px 0;
            border-bottom: 1px solid rgba(255,255,255,0.3);
        }
    }

    &__sm {
        z-index: 50;
        left: 15px;
        right: 15px;
        bottom: 40px;
        position: absolute;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__lg {
        display: none;
    }

    &__link {
        color: $white;
        text-decoration: none;
        display: flex;
        align-items: center;

        svg {
            fill: $white;
        }

        &:hover {
            color: $white;
            text-decoration: underline;

            svg {
                fill: $white;
            }
        }

        span {
            display: inline-block;
        }

        i {
            font-size: 0;
            line-height: 0;
            height: 16px;
            margin-left: 8px;
            display: inline-block;
        }
    }

    &__nav {
        left: calc(50% - 40px);
        bottom: 74px;
        width: 80px;
        z-index: 200;
        position: absolute;
    }

    &__footer {
        z-index: 100;
        left: 0;
        right: 0;
        bottom: 0;
        display: none;
        position: absolute;
    }

    &__switch {
        left: 50%;
        bottom: 0;
        right: 0;
        position: absolute;
        display: flex;
        justify-content: space-between;
        background: $white;

        &:before {
            top: 0;
            bottom: 0;
            left: 100%;
            content: '';
            width: 3000px;
            background: $white;
            position: absolute;
        }


        &--item {
            width: 33.33%;
            opacity: 0.5;
            color: $black;
            height: 144px;
            cursor: pointer;
            text-align: left;
            font-weight: 700;
            padding: 40px 0 10px 60px;
            border: none;
            outline: none;
            display: block;
            align-items: baseline;
            background: transparent;

            strong {
                display: block;
                font-weight: 800;
                margin-bottom: 5px;
            }

            &.active {
                opacity: 1;
            }
        }
    }

    &__lines {
        left: 0;
        bottom: 104px;
        z-index: 100;
        display: none;
        opacity: 0.6;
        position: absolute;

        &:after {
            top: 0;
            left: -25px;
            z-index: 10;
            content: '';
            height: 1px;
            width: 400px;
            position: absolute;
            background: $white;
        }

        &:before {
            left: 0;
            bottom: -35px;
            z-index: 10;
            content: '';
            width: 1px;
            height: 535px;
            position: absolute;
            background: $white;
        }
    }

    @include media-breakpoint-up(md) {

        &__item {
            height: 850px;
            padding-bottom: 300px;
            display: flex;
            flex-direction: column;
        }

        &__wrap {
            margin: auto 0;
        }

        &__progress {
            display: flex;

            li {
                width: 150px;
                border-bottom: 1px solid rgba(255,255,255,0.3);

                &:not(:last-child) {
                    margin-right: 60px;
                }
            }

            &--item {
                width: 100%;
                border-bottom: none;
            }
        }

        &__header {
            margin-bottom: 20px;
            font-size: size-rel(56px);
        }

        &__sm {
            bottom: 60px;
        }

        &__nav {
            bottom: 130px;
        }
    }

    @include media-breakpoint-up(lg) {

        &__item {
            padding: 130px 0;
            height: auto;
            min-height: 100vh;
        }

        &__header {
            font-size: size-rel(72px);
        }

        &__nav {
            width: 130px;
        }

        &__sm {
            display: none;
        }

        &__lg {
            padding-top: 40px;
            display: flex;
            justify-content: flex-start;
        }

        &__nav {
            width: 120px;
            left: calc(50% + 350px);
            top: calc(50% - 44px);
        }
    }

    @include media-breakpoint-up(xl) {

        &__nav {
            left: calc(50% + 450px);
        }

        &__footer {
            display: block;

            &--wrap {
                position: relative;
            }
        }

    }

    @include media-breakpoint-up(xxl) {

        &__footer {
            .container {
                max-width: 1660px;
            }
        }

        &__switch {

            &--item {
                padding-right: 40px;
                padding-left: 100px;
            }
        }

        &__lines {
            display: block;
        }
    }
}

.hits {
    padding: 40px 0;

    &__main {
        display: grid;
        grid-column-gap: 8px;
        grid-row-gap: 20px;
        grid-template-columns: 1fr 1fr;
    }

    &__header {
        grid-column: 1/3;

        &--wrap {
            display: flex;
            align-items: center;
        }

        &--title {
            font-weight: 800;
            font-size: size-rel(32px);
            line-height: size-rel(40px);
            margin-right: 16px;

            br {
                display: none;
            }
        }

        &--arrow {
            height: 36px;
            font-size: 0;
            line-height: 0;
            display: inline-block;

            svg {
                fill: #c89d4b;
            }
        }
    }

    &__item {
        color: $primary;
        display: block;
        position: relative;
        text-decoration: none;
        font-size: size-rel(18px);
        line-height: size-rel(24px);

        &:hover {
            color: $primary;
            text-decoration: none;
        }

        &--area {
            top: 3px;
            left: 0;
            width: 66px;
            z-index: 10;
            text-align: center;
            padding: 5px 5px 2px 5px;
            display: block;
            position: absolute;
            background: $white;
            font-weight: 800;
            font-size: size-rel(18px);
            line-height: size-rel(19px);
        }

        &--image {
            display: block;
            margin-bottom: 10px;
        }

        &--title {
            display: block;
            margin-bottom: 5px;
        }

        &--price {
            font-weight: 800;
        }
    }

    &__view {
        height: 332px;
        display: block;
        position: relative;
        font-size: size-rel(20px);
        line-height: size-rel(24px);
        background: url("../images/hits__bg.webp") 50% 50% no-repeat;
        background-size: cover;
        grid-column: 1/3;

        &--block {
            left: 0;
            bottom: 0;
            right: 60px;
            color: $black;
            padding: 25px 30px 10px 30px;
            background: $white;
            position: absolute;
            font-weight: 800;
            font-size: size-rel(20px);
            line-height: size-rel(26px);
            display: flex;
            align-items: center;
            flex-wrap: wrap;
        }

        &--text {
            margin-right: 16px;
            display: inline-block;
        }

        &--arrow {
            height: 36px;
            font-size: 0;
            line-height: 0;
            display: inline-block;

            svg {
                fill: #c89d4b;
            }
        }
    }

    &__elem {
        display: none;

        &:nth-child(-n+7) {
            display: block;
        }

        &:last-child {
            display: block;
        }
    }

    @include media-breakpoint-up(md) {
        padding: 60px 0;

        &__main {
            grid-column-gap: 30px;
            grid-row-gap: 30px;
            grid-template-columns: 1fr 1fr 1fr;
        }

        &__header {
            margin: 0;
            display: flex;
            flex-direction: column;

            &--wrap {
                display: block;
                margin: auto 0;
            }

            &--title {
                margin-bottom: 20px;
                font-size: size-rel(48px);

                br {
                    display: block;
                }
            }

            &--arrow {
                height: 48px;
            }
        }

        &__view {
            height: auto;
            grid-row: 3/5;
            grid-column: 2/4;

            &--block {
                right: auto;
                width: 270px;
            }
        }

        &__elem {
            display: block;
        }
    }
    @include media-breakpoint-up(lg) {
        padding: 80px 0;

        &__main {
            grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
        }

        &__view {
            grid-column: 3/6;
        }
    }

    @include media-breakpoint-up(xl) {
        padding-top: 100px;

        &__main {
            grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
        }

        &__view {
            grid-column: 5/7;
            grid-row: 2/4;
        }
    }

}

.order {
    color: $white;
    text-align: center;
    background: url("../images/order__bg.jpg") 30% 50% no-repeat;
    background-size: cover;

    &__wrap {
        padding-top: 100px;
        padding-bottom: 45px;
    }

    &__header {
        font-weight: 800;
        line-height: 1.2;
        font-size: size-rel(32px);
        font-family: $font-family-secondary;
        margin-bottom: 10px;
    }

    &__text {
        margin-bottom: 15px;
        font-size: size-rel(16px);
        line-height: size-rel(20px);
    }

    .btn {
        width: 100%;
        max-width: 380px;
    }

    @include media-breakpoint-up(md) {

        &__wrap {
            height: 551px;
            padding: 50px 0;
            position: relative;
            display: flex;
            flex-direction: column;
        }

        &__content {
            margin: auto 0;
        }

        &__header {
            font-size: size-rel(64px);
        }

        &__text {
            margin-bottom: 20px;
            font-size: size-rel(20px);
            line-height: size-rel(26px);
        }
    }

    @include media-breakpoint-up(lg) {
        text-align: right;

        .btn {
            width: auto;
        }
    }

    @include media-breakpoint-up(xl) {
        background-position: 50% 50%;

        &__header {
            font-size: size-rel(72px);
        }
    }

    @include media-breakpoint-up(xxl) {

        &__wrap {

            &:after {
                left: -230px;
                top: 10px;
                bottom: 10px;
                z-index: 50;
                content: '';
                opacity: 0.7;
                width: 1px;
                display: block;
                position: absolute;
                background: $white;
            }

            &:before {
                left: -255px;
                bottom: 40px;
                z-index: 50;
                content: '';
                opacity: 0.7;
                width: 400px;
                height: 1px;
                display: block;
                position: absolute;
                background: $white;
            }
        }
    }
}

.advantages {
    color: $white;
    padding-top: 60px;
    padding-bottom: 80px;
    background: url("../images/advantages__bg.jpg") 50% 50% no-repeat;
    background-size: cover;

    &__header {
        font-weight: 800;
        line-height: 1.1;
        font-size: size-rel(32px);
        margin-bottom: 50px;
        font-family: $font-family-secondary;

        &--num {
            font-size: size-rel(120px);
            line-height: size-rel(120px);
        }
    }

    &__main {
        display: grid;
        grid-row-gap: 35px;
        grid-column-gap: 50px;
        grid-template-columns: 1fr 1fr;
    }

    &__item {
        font-weight: 700;
        font-size: size-rel(16px);
        line-height: size-rel(20px);
        display: flex;

        &:nth-child(even) {
            justify-content: flex-end;
        }

        &--wrap {
            width: 120px;
        }

        &--icon {
            font-size: 0;
            line-height: 0;
            height: 70px;
            display: inline-block;
            margin-bottom: 20px;

            svg {
                fill: $secondary;
            }
        }
    }

    @include media-breakpoint-up(sm) {

        &__main {
            grid-template-columns: 1fr 1fr 1fr;
        }

        &__item {
            display: block;

            &:nth-child(even) {
                justify-content: flex-start;
            }


            &--wrap {
                width: auto;
            }
        }

        &__header {
            font-size: size-rel(42px);

            &--num {

            }
        }
    }

    @include media-breakpoint-up(lg) {
        padding-top: 100px;
        padding-bottom: 100px;

        &__wrap {
            display: flex;
            align-items: flex-end;
            justify-content: space-between;
        }

        &__header {
            order: 2;
            margin-bottom: 0;
            margin-left: 100px;
            padding-bottom: 120px;
            padding-left: 100px;
            position: relative;
            flex-shrink: 0;

            &:after {
                left: 0;
                top: -60px;
                bottom: 0;
                z-index: 50;
                content: '';
                opacity: 0.7;
                width: 1px;
                display: block;
                position: absolute;
                background: $white;
            }

            &:before {
                left: -35px;
                bottom: 30px;
                z-index: 50;
                content: '';
                opacity: 0.7;
                width: 400px;
                height: 1px;
                display: block;
                position: absolute;
                background: $white;
            }
        }

        &__main {
            order: 1;
            grid-template-columns: 1fr 1fr;
            flex-grow: 1;
        }

        &__item {

            &--wrap {
                max-width: 250px;
            }
        }
    }

    @include media-breakpoint-up(xl) {
        padding-top: 150px;
        padding-bottom: 140px;
    }
}

.videos {
    padding: 40px 0;
    background: $white;

    &__header {
        font-weight: 800;
        line-height: 1.1;
        font-size: size-rel(32px);
        font-family: $font-family-secondary;
        margin-bottom: 20px;
    }

    &__slider {

        .swiper-container {
            overflow: visible;
        }

        .swiper-slide {
            height: auto;
            width: 270px;
        }
    }

    &__item {
        display: block;
        color: $white;
        font-size: size-rel(16px);
        line-height: size-rel(20px);
        text-decoration: none;
        height: 220px;
        overflow: hidden;
        position: relative;

        &:hover {
            color: $white;
            text-decoration: none;
        }

        &--image {
            z-index: 1;
            height: 100%;
            position: relative;
            background-position: 50% 50%;
            background-repeat: no-repeat;
            background-size: cover;

            &:before {
                top: 0;
                left: 0;
                right: 0;
                bottom: 0;
                z-index: 5;
                content: '';
                position: absolute;
                background: linear-gradient(180deg, rgba(0,0,0,0) 0%, rgba(0,0,0,0.6) 100%);
            }
        }

        &--button {
            right: 0;
            bottom: 0;
            z-index: 50;
            width: 80px;
            height: 60px;
            font-size: 0;
            line-height: 0;
            background: $white;
            position: absolute;
            display: flex;
            align-items: center;
            justify-content: center;
        }

        &--play {
            width: 44px;
            display: block;
        }

        &--text {
            z-index: 20;
            left: 16px;
            bottom: 16px;
            right: 96px;
            position: absolute;
        }
    }

    @include media-breakpoint-up(md) {
        padding: 80px 0;

        &__header {
            font-size: size-rel(42px);
            margin-bottom: 40px;
        }

        &__item {
            height: 360px;

            &--button {
                width: 124px;
                height: 80px;
            }

            &--play {
                width: 61px;
            }

            &--text {
                left: 50px;
                right: 160px;
                bottom: 22px;
            }
        }

        &__slider {

            .swiper-slide {
                width: 550px;
            }
        }
    }

    @include media-breakpoint-up(lg) {

        &__slider {

        }

        &__item {
            width: 750px;
            height: 430px;
        }

        &__slider {

            .swiper-slide {
                width: 750px;
            }
        }
    }
}


@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
